export const initSubscriptionForm = () => {
  const subscriptionForm = document.querySelectorAll('.wpcf7-form');
  const thankModal = document.querySelector('#modal-thank');

  if (subscriptionForm) {
    /* Событие отрабатывает, когда где - то произошли ошибки */
    document.addEventListener(
      'wpcf7submit',
      function (event) {
        event.target.querySelector('.wpcf7-response-output').style.display =
          'none';
        event.target.querySelector('.wpcf7-spinner').style.display = 'none';
        for (
          let i = 0;
          i < event.target.querySelectorAll('input').length;
          i++
        ) {
          let inputEl = event.target.querySelectorAll('input')[i];
          let inputValue = inputEl.valid;
          if (!inputValue) {
            event.target.querySelector('input[type="email"]')?.focus();
            inputEl.style.border = '1px solid #e01231';
            setTimeout(function () {
              inputEl.style.border = '1px solid #cfcfcf';
            }, 1000);
          }
        }
        if (!event.detail.apiResponse.invalid_fields.length)
          thankModal.style.display = 'block';
      },
      false
    );
  }
};
